<Project Sdk="Microsoft.NET.Sdk.Web">

  <Import Project="..\build\common.targets" />
  <PropertyGroup>
    <OutputType>Exe</OutputType>
	<ImplicitUsings>enable</ImplicitUsings>
    <!--<AspNetCoreHostingModel>OutOfProcess</AspNetCoreHostingModel>-->
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
    <EnableUnsafeBinaryFormatterSerialization>true</EnableUnsafeBinaryFormatterSerialization>
    
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>..\Tiobon.Core.Api\Tiobon.Core.xml</DocumentationFile>
    <NoWarn>1701;1702;1591</NoWarn>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <DocumentationFile>..\Tiobon.Core\Tiobon.Core.Api.xml</DocumentationFile>
    <NoWarn>1701;1702;1591</NoWarn>
  </PropertyGroup>
  <PropertyGroup>
    <ServerGarbageCollection>false</ServerGarbageCollection>
  </PropertyGroup>
  <ItemGroup>
    <Compile Remove="Controllers\Tenant\**" />
    <Compile Remove="Extensions\**" />
    <Compile Remove="Hubs\**" />
    <Compile Remove="Logs\**" />
    <Compile Remove="Log\**" />
    <Compile Remove="Middlewares\**" />
    <Compile Remove="wwwroot\ui\**" />
    <Content Remove="Controllers\Tenant\**" />
    <Content Remove="Extensions\**" />
    <Content Remove="Hubs\**" />
    <Content Remove="Logs\**" />
    <Content Remove="Log\**" />
    <Content Remove="Middlewares\**" />
    <Content Remove="wwwroot\ui\**" />
    <EmbeddedResource Remove="Controllers\Tenant\**" />
    <EmbeddedResource Remove="Extensions\**" />
    <EmbeddedResource Remove="Hubs\**" />
    <EmbeddedResource Remove="Logs\**" />
    <EmbeddedResource Remove="Log\**" />
    <EmbeddedResource Remove="Middlewares\**" />
    <EmbeddedResource Remove="wwwroot\ui\**" />
    <None Remove="Controllers\Tenant\**" />
    <None Remove="Extensions\**" />
    <None Remove="Hubs\**" />
    <None Remove="Logs\**" />
    <None Remove="Log\**" />
    <None Remove="Middlewares\**" />
    <None Remove="wwwroot\ui\**" />
  </ItemGroup>
  <ItemGroup>
    <Compile Remove="Controllers\DepartmentController.cs" />
    <Compile Remove="Controllers\HealthCheckController.cs" />
    <Compile Remove="Controllers\ImgController.cs" />
    <Compile Remove="Controllers\ModuleController.cs" />
    <Compile Remove="Controllers\MonitorController.cs" />
    <Compile Remove="Controllers\NacosController.cs" />
    <Compile Remove="Controllers\PayController.cs" />
    <Compile Remove="Controllers\PermissionController.cs" />
    <Compile Remove="Controllers\RoleController.cs" />
    <Compile Remove="Controllers\SignalRTestController.cs" />
    <Compile Remove="Controllers\SplitDemoController.cs" />
    <Compile Remove="Controllers\TopicController.cs" />
    <Compile Remove="Controllers\TopicDetailController.cs" />
    <Compile Remove="Controllers\TransactionController.cs" />
    <Compile Remove="Controllers\UserController.cs" />
    <Compile Remove="Controllers\UserRoleController.cs" />
    <Compile Remove="Controllers\ValuesController.cs" />
    <Compile Remove="Controllers\WeChatCompanyController.cs" />
    <Compile Remove="Controllers\WeChatConfigController.cs" />
    <Compile Remove="Controllers\WeChatController.cs" />
    <Compile Remove="Controllers\WeChatPushLogController.cs" />
    <Compile Remove="Controllers\WeChatSubController.cs" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="index.html" />
    <None Remove="WangWu.db" />
    <None Remove="WMTiobon.db" />
    <None Remove="WMTiobonLog.db" />
    <None Remove="WMTiobonLog.db-journal" />
    <None Remove="ZhaoLiu.db" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Dapper" Version="2.1.35" />
    <PackageReference Include="log4mongo-netcore" Version="3.2.0" />
    <PackageReference Include="MicroKnights.Log4NetAdoNetAppender" Version="2.2.0" />
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.19.5" />
    <PackageReference Include="MySql.Data" Version="8.3.0" />
    <PackageReference Include="SkyAPM.Agent.AspNetCore" Version="2.1.0" />
    <PackageReference Include="System.Data.SqlClient" Version="4.8.6" />
    <PackageReference Include="System.Text.Encoding.CodePages" Version="8.0.0" />
	<PackageReference Include="FluentValidation.AspNetCore" Version="11.3.0" />
	<PackageReference Include="FluentValidation.DependencyInjectionExtensions" Version="11.8.0" />
  </ItemGroup>

  <ItemGroup>
    <None Include="wwwroot\TiobonCore.Data.json\TiobonArticle.tsv" />
    <None Include="wwwroot\TiobonCore.Data.json\Modules.tsv" />
    <None Include="wwwroot\TiobonCore.Data.json\Permission.tsv" />
    <None Include="wwwroot\TiobonCore.Data.json\Role.tsv" />
    <None Include="wwwroot\TiobonCore.Data.json\RoleModulePermission.tsv" />
    <None Include="wwwroot\TiobonCore.Data.json\SysUserInfo.tsv" />
    <None Include="wwwroot\TiobonCore.Data.json\Topic.tsv" />
    <None Include="wwwroot\TiobonCore.Data.json\TopicDetail.tsv" />
    <None Include="wwwroot\TiobonCore.Data.json\UserRole.tsv" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="index.html" />
  </ItemGroup>

  <ItemGroup>
    <Content Update="appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <Folder Include="wwwroot\TiobonCore.Data.excel\" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Tiobon.Core.DataAccess\Tiobon.Core.DataAccess.csproj" />
    <ProjectReference Include="..\Tiobon.Core.Extensions\Tiobon.Core.Extensions.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="Tiobon.Core">
      <HintPath>..\Lib\Tiobon.Core.dll</HintPath>
    </Reference>
    <Reference Include="Tiobon.Core.Base">
      <HintPath>..\Lib\Tiobon.Core.Base.dll</HintPath>
    </Reference>
  </ItemGroup>

  <ProjectExtensions>
    <VisualStudio>
      <UserProperties appsettings_1json__JsonSchema="" />
    </VisualStudio>
  </ProjectExtensions>

</Project>